# Sanitizer_LaunchData Struct Reference
[Sanitizer Callback API]

Data passed into a launch callback function. More...

## Data Fields

CUcontext | apiContext
CUstream | apiStream
CUcontext | context
CUdevice | device
CUfunction | function
const char * | functionName
uint64_t | gridId
Sanitizer_StreamHandle | hApiStream
Sanitizer_LaunchHandle | hLaunch
Sanitizer_StreamHandle | hStream
CUmodule | module
CUstream | stream
uint32_t | blockDim_x
uint32_t | blockDim_y
uint32_t | blockDim_z
uint32_t | clusterDim_x
uint32_t | clusterDim_y
uint32_t | clusterDim_z
uint32_t | gridDim_x
uint32_t | gridDim_y
uint32_t | gridDim_z

## Detailed Description

Data passed into a launch callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal to SANITIZER_CB_DOMAIN_LAUNCH. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

CUcontext Sanitizer_LaunchData::context

The context where the grid is launched. For graph node launches, this is the context in which the kernel will run.